Bug 972394 - [upgrade] fail to embed postgresql to existing app after migrated.
[upgrade] fail to embed postgresql to existing app after migrated.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 02:23 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-06-09 02:23:43 EDT
Description of problem:
Fail to embed postgresql to existing app after migrated.

Version-Release number of selected component (if applicable):
1.2/2013-06-07.2

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env
2. Create an app
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, try to embed postgresql to this app.

Actual results:
$ rhc cartridge add postgresql -a phptest -p redhat -l jialiu@redhat.com
Using postgresql-8.4 (PostgreSQL Database 8.4) for 'postgresql'
Adding postgresql-8.4 to application 'phptest' ... /var/lib/openshift/29b340296966408694fb173655b11657/postgresql/bin/install: line 39: HOME: unbound variable

Mcollective log:
I, [2013-06-08T23:14:59.340571 #3033]  INFO -- : openshift.rb:51:in `cartridge_do_action' cartridge_do_action call / action: cartridge_do, agent=openshift, data={:cartridge=>"postgresql-8.4",
 :action=>"configure",
 :args=>
  {"--with-app-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96",
   "--with-app-name"=>"perltest",
   "--with-container-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96",
   "--with-container-name"=>"perltest",
   "--with-namespace"=>"jialiu",
   "--with-uid"=>1002,
   "--with-request-id"=>"b2e935f4a67e8d6331d9ef7e85f9234c",
   "--cart-name"=>"postgresql-8.4",
   "--component-name"=>"postgresql-8.4",
   "--with-software-version"=>"8.4",
   "--cartridge-vendor"=>"redhat"},
 :process_results=>true}

I, [2013-06-08T23:14:59.342112 #3033]  INFO -- : openshift.rb:52:in `cartridge_do_action' cartridge_do_action validation = postgresql-8.4 configure {"--with-app-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96", "--with-app-name"=>"perltest", "--with-container-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96", "--with-container-name"=>"perltest", "--with-namespace"=>"jialiu", "--with-uid"=>1002, "--with-request-id"=>"b2e935f4a67e8d6331d9ef7e85f9234c", "--cart-name"=>"postgresql-8.4", "--component-name"=>"postgresql-8.4", "--with-software-version"=>"8.4", "--cartridge-vendor"=>"redhat"}
I, [2013-06-08T23:14:59.342454 #3033]  INFO -- : openshift.rb:91:in `execute_action' Executing action [configure] using method oo_configure with args [{"--with-app-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96", "--with-app-name"=>"perltest", "--with-container-uuid"=>"1d7896f40b0943d4b59a2e6dcf0bfa96", "--with-container-name"=>"perltest", "--with-namespace"=>"jialiu", "--with-uid"=>1002, "--with-request-id"=>"b2e935f4a67e8d6331d9ef7e85f9234c", "--cart-name"=>"postgresql-8.4", "--component-name"=>"postgresql-8.4", "--with-software-version"=>"8.4", "--cartridge-vendor"=>"redhat"}]
I, [2013-06-08T23:15:08.400069 #3033]  INFO -- : openshift.rb:100:in `execute_action' Finished executing action [configure] (157)
I, [2013-06-08T23:15:08.400547 #3033]  INFO -- : openshift.rb:73:in `cartridge_do_action' cartridge_do_action failed (157)
------
Shell command '/sbin/runuser -m -s /bin/sh 1d7896f40b0943d4b59a2e6dcf0bfa96 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c1002' /bin/sh -c \"/var/lib/openshift/1d7896f40b0943d4b59a2e6dcf0bfa96/postgresql/bin/install --version 8.4\""' returned an error. rc=1
CLIENT_MESSAGE: Installing postgres
CLIENT_MESSAGE: Generating username and password
CLIENT_ERROR: /var/lib/openshift/1d7896f40b0943d4b59a2e6dcf0bfa96/postgresql/bin/install: line 39: HOME: unbound variable
------)


Expected results:
Embed postgresql to existing app should pass.

Additional info:
Embed mysql successfully to the same app.
Comment 2 Jason DeTiberus 2013-06-18 16:40:43 EDT
https://github.com/openshift/enterprise/pull/19
Comment 3 Johnny Liu 2013-06-21 07:49:00 EDT
Verified this bug with openshift-enterprise-upgrade-node-1.2-1.git.83.a254045.el6op.noarch in 1.2/2013-06-20.5, and PASS.

After migrate, postgresql could be removed and embedded successfully.
Comment 4 Luke Meyer 2013-06-28 11:47:26 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.